The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Ingres Database: buffer overflow via IIPROMPT

Synthesis of the vulnerability 

When Ingres Database is installed on Windows, an attacker can generate an overflow, in order to execute code.
Vulnerable products: Ingres Database.
Severity of this weakness: 2/4.
Creation date: 05/09/2011.
Références of this bulletin: 125598, 421194, BID-49435, VIGILANCE-VUL-10968.

Description of the vulnerability 

The Windows iigcn.exe (GCN - General Communications Name Server) service is used to route queries to the associated server.

The IIPROMPT1, IIPROMPTONCE and IIPROMPTALL queries processes the access to the GCN service.

An attacker can use a malicious IIPROMPT* query, in order to create an overflow in iigcn.exe.

When Ingres Database is installed on Windows, an attacker can therefore generate an overflow, in order to execute code.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity note impacts software or systems such as Ingres Database.

Our Vigil@nce team determined that the severity of this computer weakness announce is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this cybersecurity vulnerability.

Solutions for this threat 

Ingres Database: patch for IIPROMPT.
A patch is available:
  http://esd.actian.com/
  10.0 Windows 64-bit: P14120
  10.0 Windows 32-bit: P14109
  9.2 Windows 32-bit: P14111
  9.1 Windows 32-bit: P14116
  2.6 Windows 32-bit: P14106
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerabilities database. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.